Subject: Re: [Acme] Add an external secret field to registration

From: Daniel McCarney <[email-masked]>
Date: Mon, 22 Aug 2016 13:19:12 -0400

> Sorry, the document still not update in “Registration Objects”, still
same as Contact.

Hi Andy,

Are you sure you're looking at the most-up-to-date commit[0] of that
pull-request? I see:

> external_secret (optional, string): : A secret value that the server can
use to authenticate this registration as belonging to the same entity as an
already-existing system.

- Daniel/cpu

[0]
https://github.com/jsha/acme/blob/b32b2087c78f1a6a55b339cdcbcf111bab94fc27/draft-ietf-acme-acme.md

On Sun, Aug 21, 2016 at 9:54 PM, Andy Ligg <[email-masked]> wrote:

> Sorry, the document still not update in “Registration Objects”, still same
> as Contact.
>
>
>
> contact (optional, array of string): : An array of URIs that the server
> can use to contact the client for issues related to this authorization. For
> example, the server may wish to notify the client about server-initiated
> revocation.
>
> external_secret (optional, string): : An array of URIs that the server can
> use to contact the client for issues related to this authorization. For
> example, the server may wish to notify the client about server-initiated
> revocation.
>
>
>
>
>
> Best Regards,
>
>
>
> Andy
>
>
>
> *From:* Daniel McCarney [mailto:[email-masked]]
> *Sent:* Friday, August 19, 2016 11:30 PM
> *To:* Andy Ligg <[email-masked]>
> *Cc:* Jacob Hoffman-Andrews <[email-masked]>; [email-masked]
> *Subject:* Re: [Acme] Add an external secret field to registration
>
>
>
> > We checked the draft that the  external_secret (optional, string)
> description is same as Contact.
>
> This was fixed: https://github.com/ietf-wg-acme/acme/pull/172#
> discussion_r75344194
>
>
>
> On Fri, Aug 19, 2016 at 7:26 AM, Andy Ligg <[email-masked]> wrote:
>
> We checked the draft that the  external_secret (optional, string)
> description is same as Contact.
>
> Another issue we think is how to guarantee this token's security, we plan
> to limit this token that it will expire at the short time. Please advise,
> thanks.
>
> Regards,
>
> Andy
>
>
> > On 18 Aug 2016, at 08:58, Jacob Hoffman-Andrews <[email-masked]> wrote:
> >
> > Here's one version of what it might look like to add the token Andy
> > proposed:
> >
> > https://github.com/ietf-wg-acme/acme/pull/172
> >
> > Let me know what you think!
>
> _______________________________________________
> Acme mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/acme
>
>
>